export declare const PERFECT_SCORE = 3;
export declare const WARP_INTERVAL_IN_MONTHS = 3;
export interface SRSData {
    lastAnsweredAt: Date | null;
    dueAt: Date | null;
    ease: number;
    intervalInMins: number | null;
    reps: number;
    lapses: number;
    repsSinceLastLapse: number;
}
export interface InitialSRSDataParams {
    randomizeInitiaEase?: boolean;
}
export declare const initialSRSData: (params?: InitialSRSDataParams) => SRSData;
export declare const answer: (srsData: SRSData, score: number, answeredAt: Date) => SRSData;
export declare const warp: (srsData: SRSData, answeredAt: Date) => SRSData;
export declare const getPercentageMature: (srsDataArray: SRSData[]) => number;
